PAPI_hl_read(3)

NAME
PAPI_hl_read - Read performance events inside of a region and store the difference to the corresponding beginning of the region.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_hl_read( const char* region );

Parameters
    region -- a unique region name corresponding to PAPI_hl_region_begin

Return values
    PAPI_OK
    PAPI_ENOTRUN -- EventSet is currently not running or could not determined.
    PAPI_ESYS -- A system or C library call failed inside PAPI, see the errno variable.
    PAPI_EMISC -- PAPI has been deactivated due to previous errors.
    PAPI_ENOMEM -- Insufficient memory.

PAPI_hl_read reads performance events inside of a region and stores the difference to the corresponding beginning of the region.

Assumes that PAPI_hl_region_begin was called before.

Example:

int retval;

retval = PAPI_hl_region_begin("computation");
if ( retval != PAPI_OK )
    handle_error(1);

 //Do some computation here

retval = PAPI_hl_read("computation");
if ( retval != PAPI_OK )
    handle_error(1);

 //Do some computation here

retval = PAPI_hl_region_end("computation");
if ( retval != PAPI_OK )
    handle_error(1);

See also
    PAPI_hl_region_begin

    PAPI_hl_region_end

    PAPI_hl_stop

Author

Generated automatically by Doxygen for PAPI from the source code.